/** @file sys_vim.h
*   @brief Vectored Interrupt Module Header File
*   @date 15.March.2013
*   @version 03.05.00
*   
*   This file contains:
*   - VIM Type Definitions
*   - VIM General Definitions
*   .
*   which are relevant for system driver.
*/

/* (c) Texas Instruments 2009-2013, All rights reserved. */

#ifndef __SYS_VIM_H__
#define __SYS_VIM_H__

#include "reg_vim.h"

/* USER CODE BEGIN (0) */
/* USER CODE END */

/* VIM General Configuration */

#define VIM_CHANNELS 48U
#define VIM_CONFIG   1
#define VIM_ENABLE_NESTED_INTERRUPTS FALSE

/* USER CODE BEGIN (1) */
/* USER CODE END */

void _NMI();

#if (VIM_ENABLE_NESTED_INTERRUPTS == TRUE) 
void nestEnable(void);
#endif

/* Defining all Interrupt Handlers */
#if VIM_CONFIG

void vimCfg(void);
void captureEventSource0(void);
void captureEventSource1(void);

void Dummy_ISR();

void esmLowInterrupt(void);

#endif

/* USER CODE BEGIN (2) */
/* USER CODE END */


#endif
